[DEFAULT]
use_syslog = False
quota_api_export_size = 1000
quota_recordset_records = 20
quota_zone_records = 500
quota_zone_recordsets = 500
quota_zones = 100
root-helper = sudo designate-rootwrap /etc/designate/rootwrap.conf
state_path = /var/lib/designate
rpc_response_timeout = 3600
transport_url = {{ transport_url }}

[storage:sqlalchemy]
connection = {{ sql_connection_string }}
max_overflow = 50
max_retries = -1
max_pool_size = 5
connection_recycle_time = 3600

[coordination]
backend_url = memcached://{{ coordination_server }}

[oslo_concurrency]
lock_path = /var/lock/designate

[keystone_authtoken]
memcached_servers = {{ memcached_servers }}
auth_type = password
www_authenticate_uri = {{ www_authenticate_uri }}
auth_url = {{ auth_url }}
user_domain_name = Default
project_domain_name = Default
username = designate
project_name = service
password = {{ designate_password }}
service_token_roles = admin
service_token_roles_required = True

# This configuation option is now needed for Xena
[service:central]
storage_driver = sqlalchemy

[service:api]
listen = {{ listen_api }}
auth_strategy = keystone
enable_api_v2 = True
api_base_uri = {{ designate_public_endpoint }}
enabled_extensions_v2 = quotas, reports
enable_host_header = True

[oslo_middleware]
enable_proxy_headers_parsing = true

[service:mdns]

[service:worker]
poll_retry_interval = 5
poll_max_retries = 6
enabled = True
